# Form implementation generated from reading ui file 'src/eric7/WebBrowser/Session/SessionManagerDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SessionManagerDialog(object):
    def setupUi(self, SessionManagerDialog):
        SessionManagerDialog.setObjectName("SessionManagerDialog")
        SessionManagerDialog.resize(500, 400)
        SessionManagerDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(SessionManagerDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.sessionsList = QtWidgets.QTreeWidget(parent=SessionManagerDialog)
        self.sessionsList.setAlternatingRowColors(True)
        self.sessionsList.setRootIsDecorated(False)
        self.sessionsList.setObjectName("sessionsList")
        self.gridLayout.addWidget(self.sessionsList, 0, 0, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.newButton = QtWidgets.QPushButton(parent=SessionManagerDialog)
        self.newButton.setObjectName("newButton")
        self.verticalLayout.addWidget(self.newButton)
        self.renameButton = QtWidgets.QPushButton(parent=SessionManagerDialog)
        self.renameButton.setObjectName("renameButton")
        self.verticalLayout.addWidget(self.renameButton)
        self.cloneButton = QtWidgets.QPushButton(parent=SessionManagerDialog)
        self.cloneButton.setObjectName("cloneButton")
        self.verticalLayout.addWidget(self.cloneButton)
        self.deleteButton = QtWidgets.QPushButton(parent=SessionManagerDialog)
        self.deleteButton.setObjectName("deleteButton")
        self.verticalLayout.addWidget(self.deleteButton)
        self.switchButton = QtWidgets.QPushButton(parent=SessionManagerDialog)
        self.switchButton.setObjectName("switchButton")
        self.verticalLayout.addWidget(self.switchButton)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.gridLayout.addLayout(self.verticalLayout, 0, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SessionManagerDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 1, 0, 1, 2)

        self.retranslateUi(SessionManagerDialog)
        self.buttonBox.accepted.connect(SessionManagerDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(SessionManagerDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(SessionManagerDialog)

    def retranslateUi(self, SessionManagerDialog):
        _translate = QtCore.QCoreApplication.translate
        SessionManagerDialog.setWindowTitle(_translate("SessionManagerDialog", "Session Manager"))
        self.sessionsList.setToolTip(_translate("SessionManagerDialog", "Shows a list of available sessions"))
        self.sessionsList.headerItem().setText(0, _translate("SessionManagerDialog", "Session"))
        self.sessionsList.headerItem().setText(1, _translate("SessionManagerDialog", "Last Modified"))
        self.newButton.setToolTip(_translate("SessionManagerDialog", "Press to create a new session"))
        self.newButton.setText(_translate("SessionManagerDialog", "New"))
        self.renameButton.setToolTip(_translate("SessionManagerDialog", "Press to rename the selected session"))
        self.renameButton.setText(_translate("SessionManagerDialog", "Rename"))
        self.cloneButton.setToolTip(_translate("SessionManagerDialog", "Press to clone the selected session"))
        self.cloneButton.setText(_translate("SessionManagerDialog", "Clone"))
        self.deleteButton.setToolTip(_translate("SessionManagerDialog", "Press to delete the selected session"))
        self.deleteButton.setText(_translate("SessionManagerDialog", "Delete"))
        self.switchButton.setToolTip(_translate("SessionManagerDialog", "Press to switch to the selected session"))
        self.switchButton.setText(_translate("SessionManagerDialog", "Switch To"))
